Page 1 of 1

Questions about what version to run Scarred Lands in

Posted: Tue Nov 10, 2015 9:49 pm
by Wolfx
I have managed to purchase all the PDFs of Scarred Lands as this was one of my favorites years ago. I was thinking of starting a campaign of my own but I am trying to decide if it is better to run in the system it was designed for or try and convert to 5E? This isn't a version war post, just wanting honest opinions.

I haven't played 3.5 in quite awhile and I only have the PDFs of the revised rulebooks. I am mainly wondering are there any pitfalls that I should be aware of of when running that rule set. I just want to know what others have or are doing.

I know there is supposed to be a Kickstarter sometime in 2016 but who knows when that will be or if it will update to 5e.

Thanks in advance for any help on this

Aric

Re: Questions about what version to run Scarred Lands in

Posted: Tue Jan 05, 2016 6:09 pm
by Havard
Looks like the new Kickstarter is going to be for Pathfinder.

As to whether you should choose 3.5 or 5th Edition, I think it depends alot on your personal preference and the preference of your players. I really like 5th Edition, although the downside with running Scarred Lands with that edition is that you are going to have to do some conversion work. On the other hand, converting to 5th Edition should not be all that time consuming and many of the races and monsters already have 5th ed versions so I am not sure it would be too much of a problem to do so.

-Havard

Re: Questions about what version to run Scarred Lands in

Posted: Fri Jan 08, 2016 2:19 am
by AaronOfBarbaria
Turns out the Kickstarter for the new version of Scarred Lands actually includes a 5th edition D&D version of the book too.

Re: Questions about what version to run Scarred Lands in

Posted: Fri Jan 08, 2016 5:39 pm
by Havard
AaronOfBarbaria wrote:Turns out the Kickstarter for the new version of Scarred Lands actually includes a 5th edition D&D version of the book too.
That is awesome news! :)

-Havard